%{?mingw_package_header}

%define libname SDL2_mixer

Name:           mingw-%{libname}
Version:        2.0.4
Release:        %mkrel 2
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

License:        zlib
Group:          Development/Other
URL:            http://www.libSDL.org/projects/SDL_mixer/
Source0:        http://www.libSDL.org/projects/SDL_mixer/release/%{libname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2
BuildRequires:  mingw32-libmodplug
BuildRequires:  mingw32-libvorbis
BuildRequires:  mingw32-flac

BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2
BuildRequires:  mingw64-libmodplug
BuildRequires:  mingw64-libvorbis
BuildRequires:  mingw64-flac

%description
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Win32
%package -n mingw32-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

%description -n mingw32-%{libname}
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

# Win64
%package -n mingw64-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

%description -n mingw64-%{libname}
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Automatically create a debuginfo package
%?mingw_debug_package


%prep
%setup -q -n %{libname}-%{version}


%build
%mingw_configure \
    --disable-static \
    --enable-music-mod

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-%{libname}
%doc README.txt CHANGES.txt COPYING.txt
%{mingw32_bindir}/%{libname}.dll
%{mingw32_libdir}/lib%{libname}.dll.a
%{mingw32_libdir}/pkgconfig/%{libname}.pc
%{mingw32_includedir}/SDL2

# Win64
%files -n mingw64-%{libname}
%doc README.txt CHANGES.txt COPYING.txt
%{mingw64_bindir}/%{libname}.dll
%{mingw64_libdir}/lib%{libname}.dll.a
%{mingw64_libdir}/pkgconfig/%{libname}.pc
%{mingw64_includedir}/SDL2


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.0.4-2.mga8
+ Revision: 1520025
- Mageia 8 Mass Rebuild

* Sat Nov 03 2018 daviddavid <daviddavid> 2.0.4-1.mga7
+ Revision: 1327918
- new version: 2.0.4

* Thu Sep 20 2018 umeabot <umeabot> 2.0.2-2.mga7
+ Revision: 1279521
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 akien <akien> 2.0.2-1.mga7
+ Revision: 1209319
- Version 2.0.2

* Sat Apr 08 2017 akien <akien> 2.0.1-3.mga6
+ Revision: 1096121
- Enable MOD support with libmodplug

* Fri Nov 18 2016 akien <akien> 2.0.1-2.mga6
+ Revision: 1068283
- Use %%mkrel to get the proper .mga6 suffix when building on infra_5

* Fri Nov 18 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 1068267
- Add mandatory RPM group
- import mingw-SDL2_mixer from Fedora Rawhide, mingw-SDL2_mixer-2.0.1-1.fc26


* Mon Oct 24 2016 Kalev Lember <klember@redhat.com> - 2.0.1-1
- Update to 2.0.1
- Don't set group tags

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jul 21 2014 maci <maci@satgnu.net> - 2.0.0-3
- Fix homepage URL

* Tue May 13 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.0-2
- Removed redundant BuildRequires

* Mon May 12 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.0-1
- Initial rpm
